Bug 26702 - Remove explicit libnet-stomp-perl from debian/control.in
Summary: Remove explicit libnet-stomp-perl from debian/control.in
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: David Cook
QA Contact: Testopia
URL:
Keywords:
Depends on: 22417
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-16 00:57 UTC by David Cook
Modified: 2020-11-16 18:42 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26702: Remove explicit libnet-stomp-perl from debian/control.in (946 bytes, patch)
2020-10-16 01:00 UTC, David Cook
Details | Diff | Splinter Review
Bug 26702: Remove explicit libnet-stomp-perl from debian/control.in (1.00 KB, patch)
2020-10-16 09:51 UTC, Mason James
Details | Diff | Splinter Review
Bug 26702: Remove explicit libnet-stomp-perl from debian/control.in (1.03 KB, patch)
2020-10-16 13:49 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2020-10-16 00:57:53 UTC
libnet-stomp-perl is added to debian/control via __AUTODEPENDS__, so we don't need to add it manually into debian/control.in
Comment 1 David Cook 2020-10-16 01:00:45 UTC
Created attachment 111824 [details] [review]
Bug 26702: Remove explicit libnet-stomp-perl from debian/control.in

libnet-stomp-perl is added to debian/control via __AUTODEPENDS__,
so we don't need to add it manually into debian/control.in
Comment 2 Mason James 2020-10-16 09:51:48 UTC
Created attachment 111836 [details] [review]
Bug 26702: Remove explicit libnet-stomp-perl from debian/control.in

libnet-stomp-perl is added to debian/control via __AUTODEPENDS__,
so we don't need to add it manually into debian/control.in

Signed-off-by: Mason James <mtj@kohaaloha.com>
Comment 3 Martin Renvoize 2020-10-16 13:49:37 UTC
Created attachment 111876 [details] [review]
Bug 26702: Remove explicit libnet-stomp-perl from debian/control.in

libnet-stomp-perl is added to debian/control via __AUTODEPENDS__,
so we don't need to add it manually into debian/control.in

Signed-off-by: Mason James <mtj@kohaaloha.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-10-16 13:50:16 UTC
This all makes perfect sense.. Passing QA
Comment 5 Jonathan Druart 2020-10-25 22:55:33 UTC
(In reply to David Cook from comment #0)
> libnet-stomp-perl is added to debian/control via __AUTODEPENDS__, so we
> don't need to add it manually into debian/control.in

Mason, are you sure this is correct? Isn't control auto-generated from control.in?
Comment 6 David Cook 2020-10-26 00:09:44 UTC
(In reply to Jonathan Druart from comment #5)
> (In reply to David Cook from comment #0)
> > libnet-stomp-perl is added to debian/control via __AUTODEPENDS__, so we
> > don't need to add it manually into debian/control.in
> 
> Mason, are you sure this is correct? Isn't control auto-generated from
> control.in?

control is auto-generated from control.in, but control.in is also updated by replacing __AUTODEPENDS__ with the output of debian/list-deps, which sources the dependencies from the "cpanfile", which contains Net::Stomp.
Comment 7 Jonathan Druart 2020-11-02 09:59:17 UTC
Mason, not directly related to this patch but, I wanted to push the changes to debian/control along with this patch and I have:

- libreadonly-xs-perl,
and
+ libtest-harness-perl,

Should we deal with them on a separate bug report? Is that new or something you are aware of already?
Comment 8 Jonathan Druart 2020-11-02 10:05:40 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 9 Lucas Gass 2020-11-16 18:42:12 UTC
missing dependencies for 20.05.x, no backport